Public Attributes | List of all members
bps_meas_t Struct Reference
BLE Services » Blood Pressure Service (BPS) » Structures

Blood Pressure measurement structure. More...

`#include <bps.h>`

Collaboration diagram for bps_meas_t:
[legend]

## Public Attributes
uint8_t | bl_unit_in_kpa
| Blood Pressure Units Flag, 0=mmHg, 1=kPa. More...
uint8_t | time_stamp_present
| Time Stamp Flag, 0=not present, 1=present. More...
uint8_t | pulse_rate_present
| Pulse Rate Flag, 0=not present, 1=present. More...
uint8_t | user_id_present
| User ID Flag, 0=not present, 1=present. More...
uint8_t | meas_status_present
| Measurement Status Flag, 0=not present, 1=present. More...
bps_ieee_float16_t | systolic
| Blood Pressure Measurement Compound Value - Systolic. More...
bps_ieee_float16_t | diastolic
| Blood Pressure Measurement Compound Value - Diastolic . More...
bps_ieee_float16_t | mean_arterial_pr
| Blood Pressure Measurement Compound Value - Mean Arterial Pressure. More...
prf_date_time_t | time_stamp
| Time Stamp. More...
bps_ieee_float16_t | pulse_rate
| Pulse Rate. More...
uint8_t | user_id
| User ID. More...
uint16_t | meas_status
| Measurement Status. More...

## Detailed Description

Blood Pressure measurement structure.

Definition at line 144 of file bps.h.

## Member Data Documentation

## ◆ bl_unit_in_kpa

uint8_t bps_meas_t::bl_unit_in_kpa

Blood Pressure Units Flag, 0=mmHg, 1=kPa.

Definition at line 146 of file bps.h.

## ◆ diastolic

bps_ieee_float16_t bps_meas_t::diastolic

Blood Pressure Measurement Compound Value - Diastolic .

Definition at line 152 of file bps.h.

## ◆ mean_arterial_pr

bps_ieee_float16_t bps_meas_t::mean_arterial_pr

Blood Pressure Measurement Compound Value - Mean Arterial Pressure.

Definition at line 153 of file bps.h.

## ◆ meas_status

uint16_t bps_meas_t::meas_status

Measurement Status.

Definition at line 157 of file bps.h.

## ◆ meas_status_present

uint8_t bps_meas_t::meas_status_present

Measurement Status Flag, 0=not present, 1=present.

Definition at line 150 of file bps.h.

## ◆ pulse_rate

bps_ieee_float16_t bps_meas_t::pulse_rate

Pulse Rate.

Definition at line 155 of file bps.h.

## ◆ pulse_rate_present

uint8_t bps_meas_t::pulse_rate_present

Pulse Rate Flag, 0=not present, 1=present.

Definition at line 148 of file bps.h.

## ◆ systolic

bps_ieee_float16_t bps_meas_t::systolic

Blood Pressure Measurement Compound Value - Systolic.

Definition at line 151 of file bps.h.

## ◆ time_stamp

prf_date_time_t bps_meas_t::time_stamp

Time Stamp.

Definition at line 154 of file bps.h.

## ◆ time_stamp_present

uint8_t bps_meas_t::time_stamp_present

Time Stamp Flag, 0=not present, 1=present.

Definition at line 147 of file bps.h.

## ◆ user_id

uint8_t bps_meas_t::user_id

User ID.

Definition at line 156 of file bps.h.

## ◆ user_id_present

uint8_t bps_meas_t::user_id_present

User ID Flag, 0=not present, 1=present.

Definition at line 149 of file bps.h.

The documentation for this struct was generated from the following file:

- bps.h